Subject: Re: [GSOC] [PATCH v2 0/3] t9700:moderizen test scripts

From: Junio C Hamano <[email-masked]>
Date: Thu, 23 Feb 2023 18:49:04 -0800

Zhang Yi <[email-masked]> writes:

> The style of t9700-perl-git.sh is old.There are 3 things need improve:
> * A title is not on the same line with test_expect_success command.Need to combine them.
> * A test body is indented by whitespaces.Need to replace whitespaces by TAB
> * There are whitespaces after redirect operators.Need to delete whitespaces.
>
> ---
> Thanks for all suggestions.Here are so many interesting things to learn.

It is a good idea to summarize the difference between the previous
round and this round, to help reviewers who have already spent
cycles to review the previous round to skim the parts of the updated
series that haven't been changed (and they have already reviewed).

And the cover letter is the ideal place to do so.

Alternatively, you can write after the three-dash lines between the
proposed log message and the patch text of each patch message.

> Zhang Yi (3):
>   t9700:fix title style
>   t9700:change indents to TAB
>   t9700:delete whitespaces after redirect operators

You are missing space after the colon, all of them.  Also you are
missing space after full-stop that concludes each sentence in all of
your proposed log messages.

Even though you _could_ treat these three things as logically
separate changes, I would suspect that each of them is so small that
it may be easier to review as a single patch.

Thanks.